package com.gh.common.provider

import android.content.Context
import android.widget.TextView
import com.therouter.router.Route
import com.gh.common.util.CommentUtils
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.feature.provider.ICommentUtilsProvider

@com.therouter.inject.ServiceProvider
class CommentUtilsProviderImpl : ICommentUtilsProvider {
    override fun setCommentTime(textView: TextView, time: Long) {
        CommentUtils.setCommentTime(textView, time)
    }

    override fun getCommentTime(timestamp: Long): String {
        return CommentUtils.getCommentTime(timestamp)
    }
}